Skills
Get a skill run
Get one authorized Skill run with its decrypted results.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
run_id*string
Resource identifier: run_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/skill-runs/123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174000", "installation_id": "123e4567-e89b-42d3-a456-426614174000", "skill_id": "123e4567-e89b-42d3-a456-426614174000", "skill_name": "Invoice extractor", "version_id": "123e4567-e89b-42d3-a456-426614174000", "version": 0, "requested_by_id": "123e4567-e89b-42d3-a456-426614174000", "requested_by": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "actor_type": "api", "origin": "manual", "entry": "example", "entry_script_run_id": "123e4567-e89b-42d3-a456-426614174000", "trigger": { "id": "123e4567-e89b-42d3-a456-426614174000", "kind": "schedule" }, "status": "ACTIVE", "model": "claude-sonnet-5", "reasoning_effort": "medium", "effective_max_turns": 0, "review_max_rounds": 0, "instruction": "example", "dry_run": false, "cost_micro_usd": 0, "micro_credits": 0, "turns_used": 0, "pages": [ { "key": "summary", "name": "Customer documents", "page_id": "123e4567-e89b-42d3-a456-426614174000", "url": "https://api.adlass.io/v1/workflows/hooks/example" } ], "error_code": "example", "error_message": "example", "started_at": "2026-09-04T12:00:00Z", "completed_at": "2026-09-04T12:00:00Z", "created_at": "2026-09-04T12:00:00Z", "reversal": { "id": "123e4567-e89b-42d3-a456-426614174000", "status": "ACTIVE", "requested_by_id": "123e4567-e89b-42d3-a456-426614174000", "skip_conflicts": false, "summary": {}, "error_code": "example", "created_at": "2026-09-04T12:00:00Z", "started_at": "2026-09-04T12:00:00Z", "completed_at": "2026-09-04T12:00:00Z" }, "undo": { "available": false, "blocked_reason": "example" }, "parent_workflow_run": { "id": "123e4567-e89b-42d3-a456-426614174000", "workflow_id": "123e4567-e89b-42d3-a456-426614174000", "workflow_name": "Invoice approval" }, "execution": { "attempt": 0, "status": "ACTIVE", "last_activity_at": "2026-09-04T12:00:00Z" }, "definition": {}, "inputs": {}, "scope": {}, "usage": {}, "open_points": [], "review": {}, "result_summary": "example", "ai_calls": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "purpose": "extraction", "subagent": 0, "subagent_execution": 0, "model": "claude-sonnet-5", "input_tokens": 0, "cached_tokens": 0, "output_tokens": 0, "reasoning_tokens": 0, "cost_micro_usd": 0, "micro_credits": 0, "latency_ms": 0, "created_at": "2026-09-04T12:00:00Z" } ], "script_versions": [ { "script_id": "123e4567-e89b-42d3-a456-426614174000", "script_name": "example", "version_id": "123e4567-e89b-42d3-a456-426614174000", "version": 0, "parent_version_id": "123e4567-e89b-42d3-a456-426614174000", "parent_version": 0, "static_check_ok": false, "created_at": "2026-09-04T12:00:00Z" } ], "script_runs": [ { "run_id": "123e4567-e89b-42d3-a456-426614174000", "script_id": "123e4567-e89b-42d3-a456-426614174000", "script_name": "example", "version_id": "123e4567-e89b-42d3-a456-426614174000", "version": 0, "alias": "example", "mode": "example", "status": "ACTIVE", "items_in": 0, "items_out": 0, "effects_count": 0, "effects_applied": 0, "error_code": "example", "input_from_run_id": "123e4567-e89b-42d3-a456-426614174000", "input_file": "example", "created_at": "2026-09-04T12:00:00Z", "finished_at": "2026-09-04T12:00:00Z" } ], "outputs": [ { "key": "summary", "type": "run.completed", "name": "Customer documents", "revision": 0, "content": {}, "content_hash": "3f786850e387550fdab836ed7e6dc881de23001b", "byte_size": 0, "page_id": "123e4567-e89b-42d3-a456-426614174000", "url": "https://api.adlass.io/v1/workflows/hooks/example" } ]}